> For the complete documentation index, see [llms.txt](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/llms.txt)

# Create New Page Attribute

> POST /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
> 
> <h2>List of Valid Page Dynamic Attributes</h2>
> 
> <li>To find out what elements have dynamic attributes and what values are accepted, take a look <a href="https://zerion.my.site.com/helpcenter/s/article/WhatareDynamicAttributes66b5c2e6410ec#page" target="_blank" rel="noopener">here</a>.</li>



## Servers
- https://api.iformbuilder.com/exzact/api/v81/[servername]: https://api.iformbuilder.com/exzact/api/v81/[servername]


## Authentication methods
- Oauth2


## Parameters
### Headers

- **Authorization** (string)
  e.g. Bearer {access_token}


### Path parameters

- **profile_id** (string)
  id of the profile

- **page_id** (number)
  id of the page



### Body: application/json (object)

- **attribute_name: `map_priority`** (string)

- **value** (string)
  value validation (ie. string or boolean) could change based on specific page dynamic attribute.



## Responses
### 201
Created

#### Body: application/json (object)
- **attribute_name: `map_priority`** (string)
  created page dynamic attribute


### 404
Not Found - `page_id` does not exist or is not a page of `profile_id`.

#### Body: application/json (object)
- **error_message** (string)
  human-readable reason for the failure



[Powered by Bump.sh](https://bump.sh)
